import { default as React } from 'react';
import { createBrowserRouter } from 'react-router-dom';

/**
 * Main Kernel UI app component which initializes everything.
 */
export declare function Kernel({ header, footer, router }: {
    header?: React.ReactNode;
    footer?: React.ReactNode;
    router: ReturnType<typeof createBrowserRouter>;
}): React.JSX.Element;
