import { default as React } from 'react';
import { Modify } from '../../Utils';

export declare function TimepickerInput({ children, className, value, onChange, onKeyUp, onBlur, type, placeholder, ...props }: React.PropsWithChildren<Modify<React.InputHTMLAttributes<HTMLInputElement>, {
    value?: Date | null;
    onChange: (newDateTime: Date) => void;
    type?: never;
    placeholder?: never;
}>>): React.ReactElement;
