import { default as React } from 'react';

export declare function ListLoader({ count, itemContent }: {
    /**
     * Sample items count.
     * 3 by default.
     */
    count?: number;
    /**
     * Sample items content or content generator function.
     */
    itemContent?: React.ReactNode | ((key: number) => React.ReactNode);
}): React.JSX.Element;
