import { default as React } from 'react';
import { ErrorBoundaryProps } from 'react-error-boundary';

/**
 * A React error boundary that show errors in notifications.
 */
export declare function NotifyErrorsBoundary({ children, onError, fallback, fallbackRender, FallbackComponent, ...props }: React.PropsWithChildren<Partial<ErrorBoundaryProps>>): React.JSX.Element;
